package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF9F1 extends MwfRequest<MWF9F1, MWF9F1Response> {

    @Parameter(name = "CIF")
    MWF9F1 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF9F1 channelId(String channelId);
    @Parameter(name = "CmID")
    MWF9F1 cmID(String cmID);
    @Parameter(name = "ProdPkgKey")
    MWF9F1 prodPkgKey(Long prodPkgKey);
    @Parameter(name = "RWS_Signs")
    MWF9F1 rWSSigns(java.util.List<MWF9F1RWSSigns> rWSSigns);
}
